<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<itemFormativoEsercizio nomeDescrittivo="Timer a condensatore" identificatoreArgomento="TimerACondensatore" prerequisiti="ohmlaw,analogInput,digitalOutput" tags="Medio,DigitalOutput,AnalogInput,Software" fondamentale="false" mdPblproblem="false" mdPblnewlearninggoal="false" tempoRichiesto="0" versione="5">
    <mdprerequisitelist>Legge di Ohm</mdprerequisitelist>
    <mdprerequisitelist>Condensatore</mdprerequisitelist>
    <mdcomponentlist>Resistore 1 kOhm</mdcomponentlist>
    <mdcomponentlist>Condensatore elettrolitico da 100 microFarad, con tensione nominale &gt;= 5.5V</mdcomponentlist>
    <mdwhy>In elettronica la misura di tempo si ottiene indirettamente, sfruttando componenti con comportamenti condizionati da altri parametri misurabili.</mdwhy>
    <mdexpectedresult>Costruire un timer che invia un messaggio sulla porta seriale ad intervalli di un secondo, utilizzando un circuito RC per la temporizzazione.&#13;
Semplificazioni:&#13;
- nel caso non siano disponibili i componenti indicati, scegliere componenti con valori multipli di 10;&#13;
- si può considerare il condensatore completamente scarico quando la tensione ai capi scende allo 0,7% di Vcc e completamente carico quando raggiunge il 99,3% di Vcc.&#13;
&#13;
Cenni di teoria:&#13;
La tensione ai capi del condensatore collegato in serie a un resistore, in fase di carica o in fase di scarica, varia con un andamento esponenziale.&#13;
In un tempo t = R * C la tensione ai capi del condensatore varia del 63,2% di Vfinale-Viniziale, in fase di carica Vfinale sarà la tensione di alimentazione, in fase di scarica Vfinale sarà 0V.&#13;
Importante: il resistore R è necessario per evitare danni.</mdexpectedresult>
    <mdextras></mdextras>
    <mderraticbehavior></mderraticbehavior>
    <mdcommonerrors>Collegamenti errati possono causare danni.</mdcommonerrors>
    <mdlessonlearned>Mettere in pratica quanto appreso dal capacimetro per misurare un tempo sfruttando il condensatore.</mdlessonlearned>
    <mdsolution>Il condensatore si può caricare e scaricare utilizzando un pin GPIO, da impostare a livello HIGH per la fase di carica e a livello LOW per la fase di scarica.&#13;
Se i valori dei componenti sono multipli di 10, posso caricare e scaricare completamente il condensatore, alle % sopra indicate, considerando un tempo totale di 10 t, in caso contrario saranno necessari calcoli più complessi per ottenere l'intervallo di tempo desiderato.&#13;
&#13;
Codice dello sketch Arduino: in /sketch/TimerACondensatore</mdsolution>
    <mdpbldetails></mdpbldetails>
    <risorseCollegate>
        <datiRisorsaCollegata>
            <nomeFile>15_Condensatore_Timer_bb.png</nomeFile>
            <testoDescrittivo>Connessione condensatore su breadboard</testoDescrittivo>
            <identificativoFile></identificativoFile>
        </datiRisorsaCollegata>
    </risorseCollegate>
    <risorseCollegate>
        <datiRisorsaCollegata>
            <nomeFile>TimerACondensatore/TimerACondensatore.ino</nomeFile>
            <testoDescrittivo></testoDescrittivo>
            <identificativoFile>timerACondensatoreCode</identificativoFile>
        </datiRisorsaCollegata>
    </risorseCollegate>
    <risorseCollegate>
        <datiRisorsaCollegata>
            <nomeFile>15_Condensatore_Timer_schem.png</nomeFile>
            <testoDescrittivo>Schema connessione condensatore</testoDescrittivo>
            <identificativoFile></identificativoFile>
        </datiRisorsaCollegata>
    </risorseCollegate>
</itemFormativoEsercizio>
